import request from '@/utils/request'

// 查询股权冻结被执行人信息列表
export function listExecution(query) {
  return request({
    url: '/basicData/xcrEquityFreezeExecution/findByPage',
    method: 'get',
    params: query
  })
}

// 查询股权冻结被执行人信息详细
export function getExecution(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityFreezeExecution/' + xhCodeId,
    method: 'get'
  })
}

// 新增股权冻结被执行人信息
export function addExecution(data) {
  return request({
    url: '/basicData/xcrEquityFreezeExecution',
    method: 'post',
    data: data
  })
}

// 修改股权冻结被执行人信息
export function updateExecution(data) {
  return request({
    url: '/basicData/xcrEquityFreezeExecution',
    method: 'put',
    data: data
  })
}

// 删除股权冻结被执行人信息
export function delExecution(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityFreezeExecution/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delExecutionBatch(ids) {
  return request.post('/basicData/xcrEquityFreezeExecution/delete',ids)
}
